List or retrieve tenants
curl --request GET \
--url https://my.propops.app/api/tenants/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://my.propops.app/api/tenants/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.propops.app/api/tenants/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"data": {
"ID": 100,
"uuid": "990e8400-e29b-41d4-a716-446655440001",
"tenant_name": "Tenant_001",
"tenant_email": "tenant001@example.com",
"tenant_number_primary": "07700000003",
"tenant_number_work": "01200000002",
"address_id": 5,
"full_address": "1 Example Street, Sample Town, EX1 1AA",
"created_at": "2024-01-10T08:00:00Z"
},
"count": 80
}{
"success": false,
"error": "Unauthorized. Valid Bearer token required."
}List & Search
List or retrieve tenants
Retrieve tenants with optional filters, or fetch a specific tenant. Required permission: api.tenants.list.manage
GET
/
api
/
tenants
/
list
List or retrieve tenants
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
Query Parameters
Available options:
list, get Example:
"Tenant_001"
Example:
5
Example:
false
Example:
true
Maximum number of records to return (default 50, max 200).
Required range:
1 <= x <= 200Number of records to skip for pagination.
Required range:
x >= 0⌘I